Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositApprovalInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositApprovalInfo.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositApprovalInfo.cs	(revision 51)
@@ -0,0 +1,378 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 入金確認承認データアクセスクラス
+    /// </summary>
+    public class IODepositApprovalInfo : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 入金確認承認データフィールド並び
+        /// </summary>
+        public enum ColumnName
+        {
+            OrderersDivision,
+            OrderersCode,
+            TargetDate,
+            SeqNo,
+            LineCount,
+            ApprovalNo,
+            ApprovalPerson,
+            ApprovalPersonName,
+            ApprovalAuthority,
+            ApprovalDate,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IODepositApprovalInfo()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 入金確認承認データ検索文字列作成
+        /// <summary>
+        /// 入金確認承認データ検索文字列作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">入金データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+            strcmd += " OrderersDivision";
+            strcmd += ",OrderersCode";
+            strcmd += ",TargetDate";
+            strcmd += ",SeqNo";
+            strcmd += ",LineCount";
+            strcmd += ",ApprovalNo";
+            strcmd += ",ApprovalPerson";
+            strcmd += ",ApprovalPersonName";
+            strcmd += ",ApprovalAuthority";
+            strcmd += ",DATE_FORMAT(ApprovalDate, '%Y/%m/%d')";
+            strcmd += ",DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += ",DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM DepositApprovalInfo";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 入金確認承認データ検索（複数）
+        /// <summary>
+        /// 入金確認承認データ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<DepositApprovalInfo> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    DepositApprovalInfo work = new DepositApprovalInfo();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 入金確認承認データ検索（1件）
+        /// <summary>
+        /// 入金確認承認データ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref DepositApprovalInfo data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                object[] objwrk = (object[])arData[0];
+                Reader2Struct(objwrk, ref data);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 入金確認承認データ追加（複数）
+        /// <summary>
+        /// 入金確認承認データ追加（複数）
+        /// </summary>
+        /// <param name="data">承認データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<DepositApprovalInfo> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (DepositApprovalInfo work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入金確認承認データ追加（1件）
+        /// <summary>
+        /// 入金確認承認データ追加（1件）
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(DepositApprovalInfo data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                    strcmd = "INSERT INTO DepositApprovalInfo";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", data.OrderersDivision.ToString());
+                    strcmd += string.Format(", {0}", data.OrderersCode.ToString());
+                    strcmd += string.Format(", {0}", data.TargetDate.ToString());
+                    strcmd += string.Format(", {0}", data.SeqNo.ToString());
+                    strcmd += string.Format(", {0}", data.LineCount.ToString());
+                    strcmd += string.Format(", {0}", data.ApprovalNo.ToString());
+                    strcmd += string.Format(", {0}", data.ApprovalPerson.ToString());
+                    strcmd += string.Format(", '{0}'", data.ApprovalPersonName.ToString());
+                    strcmd += string.Format(", {0}", data.ApprovalAuthority.ToString());
+                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y%m%d')", data.ApprovalDate.ToString());
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入金確認承認データ更新
+        /// <summary>
+        /// 入金確認承認データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">入金データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, DepositApprovalInfo data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE DepositApprovalInfo";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" OrderersDivision = {0}", data.OrderersDivision.ToString());
+                strcmd += string.Format(",OrderersCode = {0}", data.OrderersCode.ToString());
+                strcmd += string.Format(",TargetDate = {0}", data.TargetDate.ToString());
+                strcmd += string.Format(",SeqNo = {0}", data.SeqNo.ToString());
+                strcmd += string.Format(",LineCount = {0}", data.LineCount.ToString());
+                strcmd += string.Format(",ApprovalNo = {0}", data.ApprovalNo.ToString());
+                strcmd += string.Format(",ApprovalPerson = {0}", data.ApprovalPerson.ToString());
+                strcmd += string.Format(",ApprovalPersonName = '{0}'", data.ApprovalPersonName.ToString());
+                strcmd += string.Format(",ApprovalAuthority = {0}", data.ApprovalAuthority.ToString());
+                strcmd += string.Format(",ApprovalDate = DATE_FORMAT('{0}','%Y%m%d')", data.ApprovalDate.ToString());
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入金確認承認データ削除
+        /// <summary>
+        /// 入金確認承認データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">入金データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM DepositApprovalInfo", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref DepositApprovalInfo wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.OrderersDivision = int.Parse(objwrk[(int)ColumnName.OrderersDivision].ToString());
+                wrk.OrderersCode = int.Parse(objwrk[(int)ColumnName.OrderersCode].ToString());
+                wrk.TargetDate = objwrk[(int)ColumnName.TargetDate].ToString();
+                wrk.SeqNo = int.Parse(objwrk[(int)ColumnName.SeqNo].ToString());
+                wrk.LineCount = int.Parse(objwrk[(int)ColumnName.LineCount].ToString());
+                wrk.ApprovalNo = int.Parse(objwrk[(int)ColumnName.ApprovalNo].ToString());
+                wrk.ApprovalPerson = int.Parse(objwrk[(int)ColumnName.ApprovalPerson].ToString());
+                wrk.ApprovalPersonName = objwrk[(int)ColumnName.ApprovalPersonName].ToString();
+                wrk.ApprovalAuthority = int.Parse(objwrk[(int)ColumnName.ApprovalAuthority].ToString());
+                wrk.ApprovalDate = DateTime.Parse(objwrk[(int)ColumnName.ApprovalDate].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString( int OrderersDivision, int OrderersCode = 0, string TargetDate = "", int SeqNo = 0, int LineCount = 0, int ApprovalNo = 0)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where OrderersDivision = {0}", OrderersDivision.ToString());
+                if (OrderersCode != 0)
+                    strWork += string.Format(" And OrderersCode = {0}", OrderersCode.ToString());
+                if (!TargetDate.Equals(""))
+                    strWork += " And TargetDate = " + TargetDate;
+                if (SeqNo != 0)
+                    strWork += string.Format(" And SeqNo = {0}", SeqNo.ToString());
+                if (LineCount != 0)
+                    strWork += string.Format(" And LineCount = {0}", LineCount.ToString());
+                if (ApprovalNo != 0)
+                    strWork += string.Format(" And ApprovalNo = {0}", ApprovalNo.ToString());
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs	(revision 51)
@@ -0,0 +1,358 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 入金データアクセスクラス
+    /// </summary>
+    public class IODepositData : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 入金データフィールド並び
+        /// </summary>
+        public enum ColumnName
+        {
+            OrderersDivision,
+            OrderersCode,
+            TargetDate,
+            SeqNo,
+            DepositDate,
+            DepositAmountCash,
+            DepositAmountBill,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IODepositData()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 入金データ検索文字列作成
+        /// <summary>
+        /// 入金データ検索文字列作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">入金データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+            strcmd += " OrderersDivision";
+            strcmd += ",OrderersCode";
+            strcmd += ",TargetDate";
+            strcmd += ",SeqNo";
+            strcmd += ",DATE_FORMAT(DepositDate, '%Y/%m/%d')";
+            strcmd += ",DepositAmountCash";
+            strcmd += ",DepositAmountBill";
+            strcmd += ",DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += ",DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM DepositData";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 入金データ検索（複数）
+        /// <summary>
+        /// 入金データ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<DepositData> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    DepositData work = new DepositData();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 入金データ検索（1件）
+        /// <summary>
+        /// 入金データ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref DepositData data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                object[] objwrk = (object[])arData[0];
+                Reader2Struct(objwrk, ref data);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 入金データ追加（複数）
+        /// <summary>
+        /// 入金データ追加（複数）
+        /// </summary>
+        /// <param name="data">承認データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<DepositData> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (DepositData work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入金データ追加（1件）
+        /// <summary>
+        /// 入金データ追加（1件）
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(DepositData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                    strcmd = "INSERT INTO DepositData";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", data.OrderersDivision.ToString());
+                    strcmd += string.Format(", {0}", data.OrderersCode.ToString());
+                    strcmd += string.Format(", {0}", data.TargetDate.ToString());
+                    strcmd += string.Format(", {0}", data.SeqNo.ToString());
+                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.DepositDate.ToShortDateString());
+                    strcmd += string.Format(", {0}", data.DepositAmountCash.ToString());
+                    strcmd += string.Format(", {0}", data.DepositAmountBill.ToString());
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入金データ更新
+        /// <summary>
+        /// 入金データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">入金データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, DepositData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE DepositData";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" OrderersDivision = {0}", data.OrderersDivision.ToString());
+                strcmd += string.Format(",OrderersCode = {0}", data.OrderersCode.ToString());
+                strcmd += string.Format(",TargetDate = {0}", data.TargetDate.ToString());
+                strcmd += string.Format(",SeqNo = {0}", data.SeqNo.ToString());
+                strcmd += string.Format(",DepositDate = DATE_FORMAT('{0}','%Y%m%d')", data.DepositDate.ToString());
+                strcmd += string.Format(",DepositAmountCash = {0}", data.DepositAmountCash.ToString());
+                strcmd += string.Format(",DepositAmountBill = {0}", data.DepositAmountBill.ToString());
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入金データ削除
+        /// <summary>
+        /// 入金データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">入金データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM DepositData", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref DepositData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.OrderersDivision = int.Parse(objwrk[(int)ColumnName.OrderersDivision].ToString());
+                wrk.OrderersCode = int.Parse(objwrk[(int)ColumnName.OrderersCode].ToString());
+                wrk.TargetDate = objwrk[(int)ColumnName.TargetDate].ToString();
+                wrk.SeqNo = int.Parse(objwrk[(int)ColumnName.SeqNo].ToString());
+                wrk.DepositDate = DateTime.Parse(objwrk[(int)ColumnName.DepositDate].ToString());
+                wrk.DepositAmountCash = int.Parse(objwrk[(int)ColumnName.DepositAmountCash].ToString());
+                wrk.DepositAmountBill = int.Parse(objwrk[(int)ColumnName.DepositAmountBill].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString( int OrderersDivision, int OrderersCode = 0, string TargetDate = "", int SeqNo = 0)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where OrderersDivision = {0}", OrderersDivision.ToString());
+                if (OrderersCode != 0)
+                    strWork += string.Format(" And OrderersCode = {0}", OrderersCode.ToString());
+                if (!TargetDate.Equals(""))
+                    strWork += " And TargetDate = " + TargetDate;
+                if (SeqNo != 0)
+                    strWork += string.Format(" And SeqNo = {0}", SeqNo.ToString());
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
